<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:c="http://java.sun.com/jsp/jstl/core">
    <h:outputStylesheet library="css/extraction" name="#{css}" />
    <f:loadBundle basename="org.inra.ecoinfo.pro.extraction.incubation.incubation-messages" var="variableBundle"/>
    <a4j:jsFunction name="selectVariable" execute="@this,parametersRequest" action="#{uiBean.selectVariable}"
                    render="listVariables,parametersRequest, prevStepButton, nextStepButton, validImage, messageWarningStep2" limitRender="true">
        <a4j:param name="param1" assignTo="#{uiBean.idVariableSelected}" />
    </a4j:jsFunction>

    <h:panelGroup id="messageWarningStep2">
        <h:outputText value="#{variableBundle.PARAM_MSG_WARNING_2}" rendered="#{not uiBean.parametersRequest.variableStepIsValid}"
                      styleClass="selectionEmpty" />
    </h:panelGroup>

    <h:panelGroup styleClass="panelControlsWrapper" layout="block">
        <h:panelGroup styleClass="panelControls">
            <h:panelGroup styleClass="control">
                <a4j:commandLink execute="@this,parametersRequest,tree" styleClass="buttonStepNext" limitRender="true" action="#{uiBean.addAllVariables}"
                                 render="listVariables,parametersRequest, prevStepButton, nextStepButton, validImage, messageWarningStep2,tree">
                    <h:graphicImage value="#{resource['images:add.png']}" />
                    <h:outputText value="#{variableBundle.PARAM_MSG_ADD_ALL}" />
                </a4j:commandLink>
            </h:panelGroup>
            <h:panelGroup styleClass="control">
                <a4j:commandLink execute="@this,parametersRequest,tree" styleClass="buttonStepNext" limitRender="true"
                                 action="#{uiBean.removeAllVariables}"
                                 render="listVariables,parametersRequest, prevStepButton, nextStepButton, validImage, messageWarningStep2,tree">
                    <h:graphicImage value="#{resource['images:remove_selection.png']}" />
                    <h:outputText value="#{variableBundle.PARAM_MSG_DELETE_ALL}" />
                </a4j:commandLink>
            </h:panelGroup>
        </h:panelGroup>
    </h:panelGroup>

    <p class="intro">#{variableBundle.PARAM_MSG_INTRO_2}</p>

    <h:panelGroup id="listVariables" styleClass="listVariables">
         <h3>#{variableBundle.PARAM_MSG_INCUBATION_SOL}</h3>
        <ui:param name="variablesIncubSol" value="#{uiBean.variablesIncubSolAvailables}"  />
        <c:forEach items="#{variablesIncubSol}" var="variable" varStatus="status">
            <h:outputLink value="#" onclick="selectVariable(#{variable.key})" >
                <h:outputText value="#{variable.value.variable.localizedName} (#{variable.value.variable.affichage})"
                              styleClass="#{variable.value.selected ? 'selected':''}" />
                <h:graphicImage name="check.png" library="images"
                                rendered="#{variable.value.selected}" />
            </h:outputLink>
            <br />
        </c:forEach>
        <h3>#{variableBundle.PARAM_MSG_INCUBATION_SOL_PRO}</h3>
        <ui:param name="variablesIncubSolPro" value="#{uiBean.variablesIncubSolProAvailables}"  />
        <c:forEach items="#{variablesIncubSolPro}" var="variable" varStatus="status">
            <h:outputLink value="#" onclick="selectVariable(#{variable.key})" >
                <h:outputText value="#{variable.value.variable.localizedName} (#{variable.value.variable.affichage})"
                              styleClass="#{variable.value.selected ? 'selected':''}" />
                <h:graphicImage name="check.png" library="images"
                                rendered="#{variable.value.selected}" />
            </h:outputLink>
            <br />
        </c:forEach>
        <h3>#{variableBundle.PARAM_MSG_INCUBATION_SOL_MOY}</h3>
        <ui:param name="variablesIncubSolMoy" value="#{uiBean.variablesIncubSolMoyAvailables}"  />
        <c:forEach items="#{variablesIncubSolMoy}" var="variable" varStatus="status">
            <h:outputLink value="#" onclick="selectVariable(#{variable.key})"  >
                <h:outputText value="#{variable.value.variable.localizedName} (#{variable.value.variable.affichage})"
                              styleClass="#{variable.value.selected ? 'selected':''}" />
                <h:graphicImage name="check.png" library="images"
                                rendered="#{variable.value.selected}" />
            </h:outputLink>
            <br />
        </c:forEach>
        
        <h3>#{variableBundle.PARAM_MSG_INCUBATION_SOL_PRO_MOY}</h3>
        <ui:param name="variablesIncubSolProMoy" value="#{uiBean.variablesIncubSolProMoyAvailables}"  />
        <c:forEach items="#{variablesIncubSolProMoy}" var="variable" varStatus="status">
            <h:outputLink value="#" onclick="selectVariable(#{variable.key})">
                <h:outputText value="#{variable.value.variable.localizedName} (#{variable.value.variable.affichage}) "
                              styleClass="#{variable.value.selected ? 'selected':''}" />
                <h:graphicImage name="check.png" library="images"
                                rendered="#{variable.value.selected}" />
            </h:outputLink>
            <br />
        </c:forEach>
      
    </h:panelGroup>

</html>